Selected Filters


Loading...

Availability


DODGE Disc Brake Kits

Individual Parts

Results 501 - 525 of 941

LEED Brakes Front Disc Brake Conversion Kits RFC2003-C05X

$150.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,464.99

Rebate Expires: 10/31/2026

Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2003-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $150.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,464.99

    Rebate Expires: 10/31/2026

    Get $150 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004SMX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,650.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Manual/Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004SMX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,650.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2006-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,699.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Natural Anodized Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-FC2006-C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,699.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2004-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,799.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Natural Anodized Calipers, Dodge, Plymouth, Kit

Part Number: LEB-FC2004-C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,799.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits BFC2002-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,633.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Power Assist, Drilled and Slotted Rotors, Black Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-S0114

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,633.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2004-C05PX

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,898.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Red Calipers, Dodge, Plymouth, Kit

Part Number: LEB-RFC2004C05PX

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,898.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits RFC2001-C05X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,576.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front Conversion, Manual, Drilled and Slotted Rotors, Red Powdercoated Calipers, 5 x 4.50 in. Bolt Pattern, Kit

Part Number: LEB-RFC2001-C05X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,576.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

LEED Brakes Front Disc Brake Conversion Kits FC2006-8405X

$175.00 Mail-In Rebate

Price after Manufacturer Rebate: $1,849.99

Rebate Expires: 10/31/2026

Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

Disc Brake Kit, Front, MaxGrip XDS Conversion, Power Assist, Drilled/Slotted Rotors, Natural Anodized Calipers, Chrysler, Dodge, Plymouth, Kit

Part Number: LEB-FC2006-8405X

Not Yet Reviewed

Estimated Ship Date: Dec 7, 2026 if ordered today

  • $175.00 Mail-In Rebate

    Price after Manufacturer Rebate: $1,849.99

    Rebate Expires: 10/31/2026

    Get $175 back after rebate on this Leed Brake Kit! To redeem offer go to https://www.summitracing.com/go/leb

    Get UP TO $175 back after rebate on a qualifying Leed Brake Kit! Go to https://www.summitracing.com/go/leb for redemption information. Valid on purchases made between 10/1/26 and 10/31/26. Claims must be postmarked 30 days from ship date. Allow 6-8 weeks for processing. Valid in USA and Canada. Limited to 2 qualifying purchases per person or household. Max $175 per claim.

...Loading

Estimated Ship Date: Dec 7, 2026 if ordered today

Disc Brakes, Narrow Superlite 6R, Front, Cross-drilled/Slotted Surface Rotors, 4-piston Calipers, Red, Kit

Part Number: WIL-140-11548-DR

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Disc Brakes, Front, Forged Narrow Superlite 6R Big, Cross-drilled/Slotted Rotors, Black Calipers, Chrysler, Kit

Part Number: WIL-140-11548-D

Not Yet Reviewed

Estimated Ship Date: Nov 11, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 11, 2026 if ordered today

Z36 COATED KIT W/ AS CALS, Front

Part Number: PWR-CPR2163-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z23 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC2126-23

Not Yet Reviewed

Estimated Ship Date: Nov 30, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 30, 2026 if ordered today

Z36 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC2126-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z36 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC5959-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z36 COATED KIT W/ PC CALS, Front and Rear

Part Number: PWR-CPC2168-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z36 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC2167-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z23 COATED KIT W/ AS CALS, Front

Part Number: PWR-CPR2126-23

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z23 COATED KIT W/ AS CALS, Front

Part Number: PWR-CPR2163-23

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z36 COATED KIT W/ AS CALS, Front

Part Number: PWR-CPR2126-36

Not Yet Reviewed

Estimated Ship Date: Nov 16, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 16, 2026 if ordered today

Z23 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC2560A-23

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

Z36 COATED KIT W/ AS CALS, Front

Part Number: PWR-CPR5959A-36

Not Yet Reviewed

Estimated Ship Date: Nov 17, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 17, 2026 if ordered today

Z36 COATED KIT W/ AS CALS, Front and Rear, Chrysler Aspen 2007-09, Dodge Durango 2007-09, Ram 1500 2009-10, Ram 1500 2011-18, 1500 Classic 2019-24

Part Number: PWR-CPR2164A-36

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

Z23 COATED KIT W/ PC CALS, Front

Part Number: PWR-CPC2560-23

Not Yet Reviewed

Estimated Ship Date: Dec 1, 2026 if ordered today

...Loading

Estimated Ship Date: Dec 1, 2026 if ordered today

Brake Conversion 1971-72 Mopar B-Body W/Dana Or 8 3/4" Rear Disc

Part Number: RSD-MDCRR04Z

Not Yet Reviewed

Estimated Ship Date: Nov 18, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 18, 2026 if ordered today

Brake Conversion 1966-70 Mopar B-Body W/Dana Or 8 3/4" Rear Disc

Part Number: RSD-MDCRR03Z

Not Yet Reviewed

Estimated Ship Date: Nov 18, 2026 if ordered today

...Loading

Estimated Ship Date: Nov 18, 2026 if ordered today